access / users
12 operations.
GET /access/users
proxmox.access.users.$get()User index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
enabled | boolean | Optional filter for enable property. | |
full | boolean | Include group and token information. — default 0 |
POST /access/users
proxmox.access.users.$post()Create new user.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | ≤ 2048 chars | |
email | string | format email-opt, ≤ 254 chars | |
enable | boolean | Enable the account (default). You can set this to '0' to disable the account — default 1 | |
expire | number | Account expiration date (seconds since epoch). '0' means no expiration date. — min 0 | |
firstname | string | ≤ 1024 chars | |
groups | string | format pve-groupid-list | |
keys | string | Keys for two factor auth (yubico). | |
lastname | string | ≤ 1024 chars | |
password | string | Initial password. — ≤ 64 chars | |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
GET /access/users/{userid}
proxmox.access.users.$(userid).$get()Get user configuration.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
PUT /access/users/{userid}
proxmox.access.users.$(userid).$put()Update user configuration.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
append | boolean | ||
comment | string | ≤ 2048 chars | |
email | string | format email-opt, ≤ 254 chars | |
enable | boolean | Enable the account (default). You can set this to '0' to disable the account — default 1 | |
expire | number | Account expiration date (seconds since epoch). '0' means no expiration date. — min 0 | |
firstname | string | ≤ 1024 chars | |
groups | string | format pve-groupid-list | |
keys | string | Keys for two factor auth (yubico). | |
lastname | string | ≤ 1024 chars | |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
DELETE /access/users/{userid}
proxmox.access.users.$(userid).$delete()Delete user.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
GET /access/users/{userid}/tfa
proxmox.access.users.$(userid).tfa.$get()Get user TFA types (Personal and Realm).
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
multiple | boolean | Request all entries as an array. — default 0 | |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
GET /access/users/{userid}/token
proxmox.access.users.$(userid).token.$get()Get user API tokens.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
GET /access/users/{userid}/token/{tokenid}
proxmox.access.users.$(userid).token.$(tokenid).$get()Get specific API token information.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
tokenid | string | yes | User-specific token identifier. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
POST /access/users/{userid}/token/{tokenid}
proxmox.access.users.$(userid).token.$(tokenid).$post()Generate a new API token for a specific user. NOTE: returns API token value, which needs to be stored as it cannot be retrieved afterwards!
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | ||
expire | number | API token expiration date (seconds since epoch). '0' means no expiration date. — min 0, default "same as user" | |
privsep | boolean | Restrict API token privileges with separate ACLs (default), or give full privileges of corresponding user. — default 1 | |
tokenid | string | yes | User-specific token identifier. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
PUT /access/users/{userid}/token/{tokenid}
proxmox.access.users.$(userid).token.$(tokenid).$put()Update API token for a specific user. NOTE: when 'regenerate' is set, the returned token value needs to be stored as it cannot be retrieved afterwards!
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
comment | string | ||
delete | string | A list of settings you want to delete. — format pve-configid-list | |
expire | number | API token expiration date (seconds since epoch). '0' means no expiration date. — min 0, default "same as user" | |
privsep | boolean | Restrict API token privileges with separate ACLs (default), or give full privileges of corresponding user. — default 1 | |
regenerate | boolean | Regenerate the token's secret value. All users of the previous secret will lose access after this operation. — default 0 | |
tokenid | string | yes | User-specific token identifier. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
DELETE /access/users/{userid}/token/{tokenid}
proxmox.access.users.$(userid).token.$(tokenid).$delete()Remove API token for a specific user.
Returns nothing.
| Parameter | Type | Required | Notes |
|---|---|---|---|
tokenid | string | yes | User-specific token identifier. |
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |
PUT /access/users/{userid}/unlock-tfa
proxmox.access.users.$(userid)["unlock-tfa"].$put()Unlock a user's TFA authentication.
Returns boolean.
| Parameter | Type | Required | Notes |
|---|---|---|---|
userid | string | yes | Full User ID, in the name@realm format. — format pve-userid, ≤ 64 chars |